class CreateMailableTemplates < ActiveRecord::Migration
  def self.up

    ## Email history
    create_table :mailable_templates do |t|
      t.integer  :email_template_id
      t.integer  :author_id
      t.string   :recipients
      t.text     :body
      # t.datetime :sent_at #uncomment if you intend to create templates before sending, ie maintenance emailing.
      t.timestamps
    end

    add_index :mailable_templates, :author_id
    add_index :mailable_templates, :email_template_id
  end

  def self.down
    drop_table :mailable_templates
  end
end

