class CreateEmailTemplates < ActiveRecord::Migration
  def self.up
    ##Email templates
    create_table :email_templates do |t|
      t.string   :name
      t.string   :subject
      t.text     :body
      t.references :mailable, polymorphic: true
      t.timestamps
    end
    add_index :email_templates, :mailable_type
    add_index :email_templates, :mailable_id
  end

  def self.down
    drop_table :email_templates
  end
end

